package com.ruoyi.common.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * @author liming
 * @date 2023/08/02
 */
@Data
@Configuration
@ConfigurationProperties(prefix = "aliyun.sms")
public class SMSProperties {

    /**
     * accessKeyId
     */
//    @Value("${aliyun.sms.accessKeyId}")
    private String accessKeyId;


    /**
     * accessKeySecret
     */
//    @Value("${aliyun.sms.accessKeySecret}")
    private String accessKeySecret;

    /**
     * 短信签名
     */
//    @Value("${aliyun.sms.signName}")
    private String signName;

    /**
     * 短信模板
     */
//    @Value("${aliyun.sms.templateCode}")
    private String templateCode;



}
